// 房源管理
import request from "@/utils/request";

/**
 * 房源列表
 * @param {*} data
 * @returns
 */
export function list(data) {
  return request({
    url: "/housingTicket/housingResources/list",
    method: "post",
    data: data,
  });
}

// export function deal(data) {
//   return request({
//     url: "/housingTicket/deal/phase1",
//     method: "post",
//     data: data,
//   });
// }
export function deal(data) {
  return request({
    url: "/housingTicket/deal/phase1N",
    method: "post",
    data: data,
  });
}

export function dealPhase2(data) {
  return request({
    url: "/housingTicket/deal/phase2",
    method: "post",
    data: data,
  });
}

export function dealPhase3(data) {
  return request({
    url: "/housingTicket/deal/phase3",
    method: "post",
    data: data,
  });
}

export function getPhase3Data(data) {
  return request({
    url: "/housingTicket/deal/phase3/getData",
    method: "get",
    params: data,
  });
}

export function dealPhase4(data) {
  return request({
    url: "/housingTicket/deal/phase4",
    method: "post",
    data,
  });
}

export function getPhase5Data(data) {
  return request({
    url: "/housingTicket/deal/phase5",
    method: "get",
    params: data,
  });
}

export function dealPhase5(data) {
  return request({
    url: "/housingTicket/deal/phase5",
    method: "post",
    data,
  });
}

export function dealPhase5F(data) {
  return request({
    url: "/housingTicket/deal/phase5F",
    method: "post",
    data,
  });
}

export function getPhase6Data(data) {
  return request({
    url: "/housingTicket/deal/phase6/getData",
    method: "post",
    data,
  });
}

export function dealPhase6(data) {
  return request({
    url: "/housingTicket/deal/phase6",
    method: "post",
    data,
  });
}

export function dealPhase25(data) {
  return request({
    url: "/housingTicket/deal/phase25",
    method: "post",
    data,
  });
}
export function dealPhase55(data) {
  return request({
    url: "/housingTicket/deal/phase55",
    method: "post",
    data,
  });
}

export function disuse(id) {
  return request({
    url: `/housingTicket/deal/disuse?id=${id}`,
    method: "get",
  });
}

export function phase1GetTicketNumber(data) {
  return request({
    url: "/housingTicket/deal/phase1GetTicketNumber",
    method: "post",
    data,
  });
}

export function phase5Export(data) {
  return request({
    url: "/housingTicket/phase5Export",
    method: "post",
    data,
  });
}

export function phase32(data) {
  return request({
    url: "/housingTicket/deal/phase32",
    method: "post",
    data,
  });
}

export function phase2GetData(params) {
  return request({
    url: "/housingTicket/deal/phase2GetData",
    method: "get",
    params,
  });
}

export function phase321(params) {
  return request({
    url: "/housingTicket/deal/phase321",
    method: "get",
    params,
  });
}
